# pyinfra.api.operations module

`pyinfra.api.operations.``run_ops`(state, serial=False, no_wait=False, progress=None)

  Runs all operations across all servers in a configurable manner.

  Parameters:

  - state (`pyinfra.api.State` obj) – the deploy state to execute
  - serial (boolean) – whether to run operations host by host
  - no_wait (boolean) – whether to wait for all hosts between operations